##' Coupled-dipole approximation for electromagnetic scattering by three-dimensional clusters of subwavelength particles
##'
##' Coupled-dipole simulations for electromagnetic scattering of light by sub-wavelength 
##' particles in arbitrary 3-dimensional configurations. Scattering and absorption spectra 
##' are simulated by inversion of the interaction matrix, or by an order-of-scattering 
##' approximation scheme. High-level functions are provided to simulate spectra with 
##' varying angles of incidence, as well as with full angular averaging.
##' 
##' 
##' @name cda-package
##' @docType package
##' @useDynLib cda
##' @import Rcpp
##' @title cda
##' @keywords package
##' @author baptiste Auguie
##' @references
##' Draine BT. The discrete-dipole approximation and its application to interstellar graphite grains. Astrophysical Journal. 1988.
##' ## Any one of the following references should be used to cite and acknowledge the use of this package.
##' 
##' Circular dichroism:
##' 
##' B. Auguie, J.L. Alonso-Gomez, A. Guerrero-Martinez, L.M. Liz-Marzan. Fingers crossed: circular dichroism with a dimer of plasmonic nanorods. J. Phys. Chem. Lett. 2, (2011)
##' 
##' Linear extinction:
##' 
##' B. Auguie, W.L. Barnes. Diffractive coupling in gold nanoparticle arrays and the effect of disorder. Optics Letters (2009)
##' 
##' Array factor (infinite case):
##' 
##' B. Auguie, W.L. Barnes. Collective resonances in gold nanoparticle arrays. Physical Review Letters (2008)
##' @keywords packagelibrary
##' 
NULL
